package org.springblade.modules.sqjw.userInfo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.sqjw.userInfo.entity.UserInfoEntity;
import org.springblade.modules.sqjw.userInfo.excel.UserInfoExcel;
import org.springblade.modules.sqjw.userInfo.vo.UserInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 社区警务-派出所信息 Mapper 接口
 *
 * @author BladeX
 * @since 2024-02-21
 */
public interface UserInfoMapper extends BaseMapper<UserInfoEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param params
	 * @return
	 */
	List<UserInfoVO> selectUserInfoPage(IPage page, @Param("params") Map<String, Object> params);

	List<UserInfoExcel> exportUserInfo(@Param("params") Map<String, Object> params);

	UserInfoVO getDetail(@Param("params") Map<String, Object> params);

	boolean mfjgl(@Param("params") Map<String, Object> params);

    void updateSszrqByUserId(@Param("userId") Long userId, @Param("deptIds") String deptIds);

	int getSzNum(@Param("gzdwmc") String gzdwmc, @Param("jh") String jh);
}
